Helper for transforming values to and from formats suitable for reading and writing to the server (i.e. object to string and string to object)

### Hierarchy

- PrivatePropFormats

## Index

### Properties

- decimalFormat
- decimalFormatGeneric
- moneyFormat
- moneyFormatGeneric
- percentFormat
- percentFormatGeneric
- wholeFormat

## Properties

### Static decimalFormat

decimalFormat: string[] = ['0,0','0,0.0','0,0.00','0,0.000','0,0.0000','0,0.00000','0,0.000000','0,0.0000000','0,0.00000000','0,0.000000000','0,0.0000000000']

- Defined in models/PropertyFormatter.ts:39

### Static decimalFormatGeneric

decimalFormatGeneric: string = "0,0.[0000000000000000000000000]"

- Defined in models/PropertyFormatter.ts:52

### Static moneyFormat

moneyFormat: string[] = ['$0,0','$0,0.0','$0,0.00','$0,0.000','$0,0.0000','$0,0.00000','$0,0.000000','$0,0.0000000','$0,0.00000000','$0,0.000000000','$0,0.0000000000']

- Defined in models/PropertyFormatter.ts:53

### Static moneyFormatGeneric

moneyFormatGeneric: string = "$0,0.00[0000000000000000000000000]"

- Defined in models/PropertyFormatter.ts:66

### Static percentFormat

percentFormat: string[] = ['0,0%','0,0%','0,0%','0,0.0%','0,0.00%','0,0.000%','0,0.0000%','0,0.00000%','0,0.000000%','0,0.0000000%','0,0.00000000%']

- Defined in models/PropertyFormatter.ts:67

### Static percentFormatGeneric

percentFormatGeneric: string = "0,0.[0000000000000000000000000]%"

- Defined in models/PropertyFormatter.ts:80

### Static wholeFormat

wholeFormat: string = "0,0"

- Defined in models/PropertyFormatter.ts:81

Generated using TypeDoc